%global srcname pytest-django

Name:           python-%{srcname}
Version:        3.8.0
Release:        1%{?dist}
Summary:        Django plugin for pytest

License:        BSD
URL:            https://github.com/pytest-dev/pytest-django
Source:         %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
%{summary}.}

%description %{_description}

%package     -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm) >= 1.11.1
BuildRequires:  python3dist(pytest) >= 3.6
BuildRequires:  python3dist(django)
BuildRequires:  python3dist(django-configurations) >= 2.0
BuildRequires:  python3dist(six)

%description -n python3-%{srcname} %{_description}

Python 3 version.

%prep
%autosetup -n %{srcname}-%{version} -p1
rm -vr *.egg-info
sed -i -e '/NAME/s|/|/var/tmp/|' pytest_django_test/settings_sqlite{,_file}.py

%build
%py3_build

%install
%py3_install

%check
export PYTHONPATH="%{buildroot}%{python3_sitelib}:$PWD"
for settings in sqlite sqlite_file; do
  export DJANGO_SETTINGS_MODULE=pytest_django_test.settings_${settings}
  %python3 -m pytest -v tests
done

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/pytest_django/
%{python3_sitelib}/pytest_django-*.egg-info/

%changelog
* Fri Jan 31 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 3.8.0-1
- Update to 3.8.0

* Sat Sep 07 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.15-1
- Initial package
